Update lead
curl --request PUT \
--url https://flozy-backend-1042419926531.us-central1.run.app/api/v1/external/leads/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"title": "Acme Corp (Renewed)",
"status_name": "contacted",
"meta_data": {
"about": {
"description": "Updated notes.",
"url": "https://acme.com"
}
}
}
'import requests
url = "https://flozy-backend-1042419926531.us-central1.run.app/api/v1/external/leads/{id}"
payload = {
"title": "Acme Corp (Renewed)",
"status_name": "contacted",
"meta_data": { "about": {
"description": "Updated notes.",
"url": "https://acme.com"
} }
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Acme Corp (Renewed)',
status_name: 'contacted',
meta_data: {about: {description: 'Updated notes.', url: 'https://acme.com'}}
})
};
fetch('https://flozy-backend-1042419926531.us-central1.run.app/api/v1/external/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"http_code": 200,
"status": "success",
"message": "Lead updated",
"data": {
"id": 42,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"title": "Acme Corp (Renewed)",
"status_name": "contacted",
"meta_data": {
"about": {
"description": "Updated notes.",
"url": "https://acme.com"
}
},
"avatar": null,
"avatar_type": null,
"created_at": "2026-01-10T08:00:00.000Z",
"updated_at": "2026-04-08T09:00:00.000Z"
}
}{
"http_code": 401,
"status": "failed",
"message": "Invalid or missing API key"
}{
"http_code": 403,
"status": "failed",
"message": "Insufficient scope"
}{
"http_code": 404,
"status": "failed",
"message": "Resource not found"
}Leads
Update lead
Partially updates a lead. Only supplied fields are changed.
PUT
/
leads
/
{id}
Update lead
Authorizations
Your Flozy API key. Starts with flz_live_.
Path Parameters
Body
application/json
Response
Lead updated.
⌘I